List all IP access rules for the workspace

Prev Next
Get
/v1alpha/ip-acl

Lists all IP access rules for the given workspace. Supports pagination.

Security
HTTP
Type bearer
Query parameters
page_size
integer (int32)

The maximum number of items to return. Default is 50.

page_token
string

The page_token received from a previous List cases request. Provide this to retrieve the next page of results.

Responses
200

Workspace IP access rules retrieved successfully.

Expand All
object
rules
Array of object (v1alphaIPAccessRule)

The list of IP access rules.

object

Represents an IP access control rule for a workspace. Allows access to workspace resources only from specific IP addresses or ranges.

id
string

The unique identifier for the IP access rule.

ip
string

The IP address or range for the rule. Must be a valid IPv4 address (e.g., 192.168.1.1) or CIDR range (e.g., 192.168.1.0/24). IPv6 is not supported.

description
string

The IP access rule description. This optional parameter has a 1000-character limit.

created_by
string

The email address of the user who created the IP access rule. Automatically generated and cannot be edited.

created_at
string (date-time)

The timestamp when the IP access rule was created. Automatically generated and cannot be edited.

updated_at
string (date-time)

The timestamp of the last update to the IP access rule. Automatically generated and cannot be edited.

updated_by
string

The email address of the user who last updated the IP access rule. Automatically generated and cannot be edited.

next_page_token
string

When a token is returned it indicates there is another page of results to retrieve. Pass this token in the page_token parameter in a subsequent List cases request to retrieve the next page of results. If this field isn't returned it means there are no additional pages to retrieve.

401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

Insufficient permissions. Only a workspace Owner can retrieve an IP access rule.

object